%define anolis_release 1
Name:           libwacom
Version:        2.14.0
Release:        %{anolis_release}%{?dist}
Summary:        Tablet Information Client Library
Requires:       %{name}-data

License:        HPND
URL:            https://github.com/linuxwacom/libwacom

Source0:        https://github.com/linuxwacom/libwacom/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz

BuildRequires:  meson gcc
BuildRequires:  glib2-devel libgudev1-devel libevdev-devel
BuildRequires:  systemd systemd-devel
BuildRequires:  git-core
BuildRequires:  libxml2-devel

Requires:       %{name}-data = %{version}-%{release}

%description
%{name} is a library that provides information about Wacom tablets and
tools. This information can then be used by drivers or applications to tweak
the UI or general settings to match the physical tablet.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package devel
Summary:        Tablet Information Client Library Development Package
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Tablet information client library development package.

%package data
Summary:        Tablet Information Client Library Data Files
BuildArch:      noarch

%description data
Tablet information client library data files.

%package utils
Summary:        Tablet Information Client Library Utilities Package
Requires:       %{name} = %{version}-%{release}
Requires:       python3-libevdev python3-pyudev

%description utils
Utilities to handle and/or debug libwacom devices.

%prep
%autosetup -S git

%build
%meson -Dtests=disabled -Ddocumentation=disabled
%meson_build

%install
%meson_install
install -d ${RPM_BUILD_ROOT}/%{_udevrulesdir}

%generate_compatibility_deps

%check
%ifnarch loongarch64
%meson_test
%endif

%ldconfig_scriptlets

%files
%license COPYING
%{_libdir}/libwacom.so.*
%{abidir}/libwacom.dump
%{_bindir}/libwacom-list-local-devices
%{_bindir}/libwacom-update-db
%{abidir}/libwacom-list-local-devices-option.list
%{abidir}/libwacom-update-db-option.list

%{_mandir}/man1/libwacom-list-local-devices.1*

%files doc
%doc README.md

%files devel
%dir %{_includedir}/libwacom-1.0/
%dir %{_includedir}/libwacom-1.0/libwacom
%{_includedir}/libwacom-1.0/libwacom/libwacom.h
%{_libdir}/libwacom.so
%{_libdir}/pkgconfig/libwacom.pc

%files data
%dir %{abidir}
%doc COPYING
%{_udevrulesdir}/65-libwacom.rules
%{_udevhwdbdir}/65-libwacom.hwdb
%dir %{_datadir}/libwacom
%{_datadir}/libwacom/*.tablet
%{_datadir}/libwacom/*.stylus
%dir %{_datadir}/libwacom/layouts
%{_datadir}/libwacom/layouts/*.svg

%files utils
%{_bindir}/libwacom-list-devices
%{_bindir}/libwacom-show-stylus
%{abidir}/libwacom-list-devices-option.list
%{_mandir}/man1/libwacom-list-devices.1*
%{_mandir}/man1/libwacom-show-stylus.1*

%changelog
* Mon Feb 24 2025 wangzhe <wanglan.wz@alibaba-inc.com> - 2.14.0-1
- Refer to CentOS Stream libwacom-2.14.0-1 (peter.hutterer@redhat.com)

* Thu Nov 16 2023 Wenlong Zhang<zhangwenlong@loongson.cn> - 2.2.0-3
- disable check for loongarch64

* Wed Oct 19 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.2.0-2
- optimise spec file & add doc package

* Thu Apr 07 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.2.0-1
- Init from upstream version 2.2.0

